Reports

Report API Reference

Retrieve all

get
Query parameters
projectIdstringOptional

The project Id from which to retrieve. If not given, then default project is used

folderIdstringOptional

The folder Id acc. to which records will be retrieved. If not given, then all report tabs will be retrieved

limitstringOptional

The number of records to retrieve. If not given, then by default 1000 report tabs will be fetched.

Responses
get
/reports
200

List of report tabs

Retrieve

get
Path parameters
idstringRequired

reportTab id

Responses
get
/reports/{id}
200

Details about the report tab

Returns report tab result in csv format

get
Path parameters
idstringRequired

reportTab id

Responses
get
/reports/{id}/download
200

Result in CSV format

Retreive latest success job details

get
Path parameters
idstringRequired

reportTab id

Responses
get
/reports/{id}/job/latestsuccess
200

Details about the latest success job

Last updated